### Enumeration

# FwupdPlugin EfiVariableState

#### Declaration

    enum FwupdPlugin.EfiVariableState

#### Description

No description available.

#### Members

`FU_EFI_VARIABLE_STATE_UNSET`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_VARIABLE_IN_DELETED_TRANSITION`

  No description available.

  - Value: `254`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_VARIABLE_DELETED`

  No description available.

  - Value: `253`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_VARIABLE_HEADER_VALID`

  No description available.

  - Value: `127`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_VARIABLE_ADDED`

  No description available.

  - Value: `63`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_INTEL_VARIABLE_VALID`

  No description available.

  - Value: `252`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_INTEL_VARIABLE_INVALID`

  No description available.

  - Value: `248`
  - Available since: 1.0